Skip to main content

POST /kv/rest/v1/lists REST API Endpoint

Creates a new Key-Value Store list with the specified key and initial items. Use lists to store collections of string values (such as wallet addresses, token contract addresses, or account IDs) that you can later check against streaming blockchain data in Streams filters. The list key must be unique — attempting to create a list with an existing key will result in an error. Items are case-sensitive.

Updated on
Jun 26, 2026

Body Parameters

key
string
REQUIRED

The unique identifier for the list

items
array
REQUIRED

An array of items to be added to the list

Returns

code
number

Response status code

msg
string

Response message

data
null

No additional data

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free